netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afp_zeroconf.h File Reference

Zeroconf facade, that abstracts access to a particular Zeroconf implementation. More...

`#include <atalk/globals.h>`

Go to the source code of this file.

## Macros
#define | AFP_DNS_SERVICE_TYPE "_afpovertcp._tcp"
#define | ADISK_SERVICE_TYPE "_adisk._tcp"
#define | DEV_INFO_SERVICE_TYPE "_device-info._tcp"
#define | MAXINSTANCENAMELEN 63

## Functions
void | zeroconf_register (const AFPObj *obj)
void | zeroconf_deregister (void)

## Detailed Description

Zeroconf facade, that abstracts access to a particular Zeroconf implementation.

Author
  Daniel S. Haischt me@da.nosp@m.niel.nosp@m..stef.nosp@m.an.h.nosp@m.aisch.nosp@m.t.na.nosp@m.me

See also
  http://www.dns-sd.org/

## Macro Definition Documentation

## ◆ ADISK_SERVICE_TYPE

#define ADISK_SERVICE_TYPE "_adisk._tcp"

## ◆ AFP_DNS_SERVICE_TYPE

#define AFP_DNS_SERVICE_TYPE "_afpovertcp._tcp"

## ◆ DEV_INFO_SERVICE_TYPE

#define DEV_INFO_SERVICE_TYPE "_device-info._tcp"

## ◆ MAXINSTANCENAMELEN

#define MAXINSTANCENAMELEN 63

## Function Documentation

## ◆ zeroconf_deregister()

void zeroconf_deregister | ( | void |  | ) |

de-registers the ntpd service with a particular Zeroconf implemenation.

## ◆ zeroconf_register()

void zeroconf_register | ( | const AFPObj * | obj | ) |

registers service with a particular Zeroconf implemenation.